Index: guiframe/local_perspectives/plotting/SlicerParameters.py
===================================================================
--- guiframe/local_perspectives/plotting/SlicerParameters.py	(revision d468daaa4bee4ffa05d0735cf4252c2c924e2a2c)
+++ guiframe/local_perspectives/plotting/SlicerParameters.py	(revision 12aa9b5518cc946aa5f14c7887d0fdd297af17b8)
@@ -19,4 +19,8 @@
     def __init__(self, parent, *args, **kwargs):
         wx.Dialog.__init__(self, parent, *args, **kwargs)
+        """
+            Dialog window that allow to edit parameters slicer 
+            by entering new values
+        """
         self.params = {}
         self.parent = parent
@@ -41,5 +45,4 @@
             @param event: EVT_SLICER event
         """
-        #print "went here"
         event.Skip()
         if event.obj_class==None:
@@ -65,5 +68,4 @@
             iy = 0
             self.parameters = []
-            #params = slicer.get_params()
             keys = params.keys()
             keys.sort()
@@ -75,5 +77,4 @@
                     
                     text = wx.StaticText(self, -1, item, style=wx.ALIGN_LEFT)
-                    #self.bck.Add(text, (iy,ix), flag = wx.LEFT|wx.ALIGN_CENTER_VERTICAL, border = 15)
                     self.bck.Add(text, (iy,ix),(1,1), wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
                     ctl = wx.TextCtrl(self, -1, size=(80,20), style=wx.TE_PROCESS_ENTER)
@@ -86,5 +87,4 @@
                     ctl.Bind(wx.EVT_KILL_FOCUS, self.onTextEnter)
                     self.parameters.append([item, ctl])
-                    #self.bck.Add(ctl, (iy,ix), flag=wx.TOP|wx.BOTTOM, border = 0)
                     self.bck.Add(ctl, (iy,ix),(1,1), wx.EXPAND|wx.ADJUST_MINSIZE, 0)
                     
@@ -105,4 +105,8 @@
 
     def onParamChange(self, evt):
+        """
+            receive an event end reset value text fields
+            inside self.parameters
+        """
         evt.Skip()
         if evt.type == "UPDATE":
@@ -131,4 +135,5 @@
         if has_error==False:
             # Post parameter event
+            ##parent hier is plotter2D
             event = SlicerParameterEvent(type=self.type, params=params)
             wx.PostEvent(self.parent, event)
Index: guiframe/local_perspectives/plotting/slicerpanel.py
===================================================================
--- guiframe/local_perspectives/plotting/slicerpanel.py	(revision d468daaa4bee4ffa05d0735cf4252c2c924e2a2c)
+++ guiframe/local_perspectives/plotting/slicerpanel.py	(revision 12aa9b5518cc946aa5f14c7887d0fdd297af17b8)
@@ -24,5 +24,5 @@
     def __init__(self, parent,id=-1,type=None,base=None, params={}, *args, **kwargs):
         wx.Panel.__init__(self, parent,id, *args, **kwargs)
-        #print "panel created", base
+        ##  Initialization of the class     
         self.base= base
         self.params = params
@@ -39,8 +39,8 @@
         else:
             self.set_slicer( type, params)
-        # Bindings
-        #self.parent.Bind(EVT_SLICER, self.onEVT_SLICER)
+        ## Bindings
         self.parent.Bind(EVT_SLICER, self.onEVT_SLICER)
         self.parent.Bind(EVT_SLICER_PARS, self.onParamChange)
+
 
     def onEVT_SLICER(self, event):
@@ -48,15 +48,12 @@
             Process EVT_SLICER events
             When the slicer changes, update the panel
-            
             @param event: EVT_SLICER event
         """
-        #print "went here panel"
         event.Skip()
         if event.obj_class==None:
-            self.set_slicer(None, None)
-            
+            self.set_slicer(None, None) 
         else:
-            #print "when here not empty event",event.type, event.params
             self.set_slicer(event.type, event.params)
+        
         
     def set_slicer(self, type, params):
@@ -66,9 +63,7 @@
         self.bck.Clear(True)  
         self.type = type  
-        #print "in set slicer", type, params
         if type==None:
             title = wx.StaticText(self, -1, "Right-click on 2D plot for slicer options", style=wx.ALIGN_LEFT)
             self.bck.Add(title, (0,0), (1,2), flag=wx.LEFT|wx.ALIGN_CENTER_VERTICAL, border=15)
-
         else:
             title = wx.StaticText(self, -1, "Slicer Parameters", style=wx.ALIGN_LEFT)
@@ -77,5 +72,4 @@
             n = 1
             self.parameters = []
-            #params = slicer.get_params()
             keys = params.keys()
             keys.sort()
@@ -89,5 +83,5 @@
                     ctl.SetToolTipString("Modify the value of %s to change the 2D slicer" % item)
                     ctl.SetValue(str(format_number(params[item])))
-                    #ctl.Disable()
+
                     self.Bind(wx.EVT_TEXT_ENTER, self.onTextEnter)
                     ctl.Bind(wx.EVT_KILL_FOCUS, self.onTextEnter)
@@ -96,5 +90,4 @@
             for item in keys:
                 if  item.lower() in ["errors", "count"]:
-                    #print "went here"
                     n += 1
                     text = wx.StaticText(self, -1, item+": ", style=wx.ALIGN_LEFT)
@@ -104,12 +97,15 @@
                     self.bck.Add(ctl, (n-1,1), flag=wx.TOP|wx.BOTTOM, border = 0)
                 
-
         self.bck.Layout()
         self.bck.Fit(self)
         self.parent.GetSizer().Layout()
+        
+        
     def onParamChange(self, evt):
-        #print "parameters changed"
+        """
+            Receive and event and reset the text field contained in self.parameters
+            
+        """
         evt.Skip()
-        #if evt.type == "UPDATE":
         for item in self.parameters:              
             if item[0] in evt.params:
@@ -137,7 +133,7 @@
         if has_error==False:
             # Post parameter event
-            #print "post new param"
+            ## base is guiframe is this case
             event = SlicerParameterEvent(type=self.type, params=params)
             wx.PostEvent(self.base, event)
-            #print "panel slicer: self base ", self.base
+            
         
